Subject: Re: bug#36030: Changing the region or the point changes the way characters are displayed

From: Clément Pit-Claudel <[email-masked]>
Date: Fri, 31 May 2019 16:51:10 -0400

On 2019-05-31 16:02, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Clément Pit-Claudel <[email-masked]>
>> Date: Fri, 31 May 2019 15:28:46 -0400
>>
>> I see it with many other scripts.
>>>
>>> Which ones?  I only see this on the Arabic line, at least in "emacs -Q".
>>
>> I see it with Hebrew as well, but not in emacs -Q.  With this string:
>>
>>   'ՙա-ևא-תװ-ײؠ-يٮ-ٯٱ-ۓەۥ-ۦۮ-ۯۺ-ۼۿܐܒ-ܯݍ-ޥޱߊ-ߪߴ-ߵߺࠀ-ࠕࠚࠤࠨࡀ-ࡘࢠ-ࢴࢶ'
>>
>> (taken from a regular expression)
> 
> So this is not at all in the HELLO buffer?  Please be sure to tell
> this important detail in the future: I just spent some time trying to
> reproduce the problem in HELLO.

Sorry about this.  It is in a Python buffer.

>> But if I place it at the ܒ, then run (save-excursion (goto-char <position of the beginning of the string>) (what-cursor-position t)) I see xft:-GNU -FreeSans-normal-normal-normal-*-16-*-*-*-*-0-iso10646-1 (#x509) instead.
>>
>> Moving the point to a different line, the font changes again, this time to xft:-GNU -FreeMono-normal-normal-normal-*-16-*-*-*-m-0-iso10646-1 (#x4FF) 
> 
> The font doesn't change, just the glyph number reported by Emacs
> changes (that's what that hex code in parentheses means).

But it also changes from FreeSans to FreeMono; isn't that a font change?

> I see none of that in "emacs -Q".  I also don't understand how
> resizing the frame could cause these effects.  If the recipe is more
> complicated than just copy/paste the strings you show into *scratch*,
> please be sure to show the whole recipe.  E.g., where did the face
> properties come from?

This is python-mode's syntax highlighting.  Unfortunately, I don't have a reproducible recipe for these issues yet; they happen on my machine, but I have many custom fonts and Emacs customization here.  I will try to find a recipe.

Clément.